Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 663242 - sys-apps/findutils fails to build with sys-libs/glibc-2.28
Summary: sys-apps/findutils fails to build with sys-libs/glibc-2.28
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: glibc-2.28
  Show dependency tree
 
Reported: 2018-08-09 17:49 UTC by Philipp Ammann
Modified: 2020-03-12 11:47 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,130.99 KB, text/x-log)
2018-08-09 17:49 UTC, Philipp Ammann
Details
allows to compile findutils-4.6.0-r1 with glibc-2.28 installed (findutils-glibc228.patch,13.94 KB, patch)
2018-09-22 15:50 UTC, milan hodoscek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Ammann 2018-08-09 17:49:53 UTC
Created attachment 542872 [details]
build.log

I know it's very soon after glibc 2.28 was released. Just wanted to let you know that there's an issue and that this patch fixes it:

https://src.fedoraproject.org/cgit/rpms/findutils.git/plain/findutils-4.6.0-gnulib-fflush.patch

Btw: e{patch,apply}_user isn't run by the current ebuild
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-08-11 14:04:10 UTC
Problem is in gnulib:

https://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=4af4a4a71827c0bc5e0ec67af23edef4f15cee8e

https://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=74d9d6a293d7462dea8f83e7fc5ac792e956a0ad

findutils upstream has already updated, https://git.savannah.gnu.org/cgit/findutils.git/commit/gnulib?id=b94be7a07198fca590559d60ff727996a0b52456


> Btw: e{patch,apply}_user isn't run by the current ebuild

We will probably bump EAPI when we touch package the next time.
Comment 2 milan hodoscek 2018-09-22 15:50:47 UTC
Created attachment 547522 [details, diff]
allows to compile findutils-4.6.0-r1 with glibc-2.28 installed

Created patch from upstream findutils that allows to compile it with glibc-2.28 installed.

add epatch_user to ebuild and put the patch file into /etc/portage/patches/sys-apps/findutils-4.6.0-r1
Comment 3 Larry the Git Cow gentoo-dev 2018-10-14 09:40:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59187801803475b949d2dfe41dfa7e7e70fdc5ea

commit 59187801803475b949d2dfe41dfa7e7e70fdc5ea
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-10-14 09:40:05 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-10-14 09:40:31 +0000

    sys-apps/findutils: fix build against glibc-2.28, bug #663242
    
    Patch by milan hodoscek.
    
    While at it added 'epatch_user'.
    
    Closes: https://bugs.gentoo.org/663242
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 .../findutils/files/findutils-4.6.0-glibc228.patch | 335 +++++++++++++++++++++
 sys-apps/findutils/findutils-4.6.0-r1.ebuild       |   4 +-
 2 files changed, 338 insertions(+), 1 deletion(-)
Comment 4 Larry the Git Cow gentoo-dev 2020-03-12 11:47:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=29ee6c868a673492b3e3c1b5e7047ab509fe4f27

commit 29ee6c868a673492b3e3c1b5e7047ab509fe4f27
Author:     Michael Haubenwallner <haubi@gentoo.org>
AuthorDate: 2020-03-12 11:46:30 +0000
Commit:     Michael Haubenwallner <haubi@gentoo.org>
CommitDate: 2020-03-12 11:47:09 +0000

    bootstrap-prefix.sh: bump stage1 findutils
    
    Bug: https://bugs.gentoo.org/663242
    Signed-off-by: Michael Haubenwallner <haubi@gentoo.org>

 scripts/bootstrap-prefix.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)